From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ruby-prof/
Date: Tue, 8 Sep 2020 12:03:01 +0000 (UTC) [thread overview]
Message-ID: <1599566577.5778165db418d4f057579e5a83b0143f74815636.graaff@gentoo> (raw)
commit: 5778165db418d4f057579e5a83b0143f74815636
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 8 12:02:36 2020 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Sep 8 12:02:57 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5778165d
dev-ruby/ruby-prof: add 1.4.1
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/ruby-prof/Manifest | 1 +
dev-ruby/ruby-prof/ruby-prof-1.4.1.ebuild | 51 +++++++++++++++++++++++++++++++
2 files changed, 52 insertions(+)
diff --git a/dev-ruby/ruby-prof/Manifest b/dev-ruby/ruby-prof/Manifest
index 266b1fe550c..8560a5d3fca 100644
--- a/dev-ruby/ruby-prof/Manifest
+++ b/dev-ruby/ruby-prof/Manifest
@@ -1 +1,2 @@
DIST ruby-prof-0.18.0.tgz 93925 BLAKE2B f7e0825e5291fdab017035b2a71029407d2b01161f4c4c7aa1f10a80b4080ac14f7adaa2c0340fe5c80f7352181d085d724dee66597ed29825ab7116d37c5e58 SHA512 1743bbd97789c9de66e9479384d204b0870e43a265471f0fbdf7a72bb19d77a30afc25da9d0ac66a921c28ce83d8a8d72279bdd9b23cf8505ccde952092dd9a5
+DIST ruby-prof-1.4.1.tgz 90180 BLAKE2B d996474330146a5daac50f1dcc2e39ed9d3c43ab5f4851805ab264168d3a242371cf216df53c474360de164dd42c14465b4d660c4a6aee7e8983d69ea52dc4e0 SHA512 a436f5fb81bc972c799591ee1077d8fe3d092680c8c0c40ca3607f7ba49611e6fb986464df16bacc7e429ad51276f76c800457a3a68beb659ef8ad01d183434a
diff --git a/dev-ruby/ruby-prof/ruby-prof-1.4.1.ebuild b/dev-ruby/ruby-prof/ruby-prof-1.4.1.ebuild
new file mode 100644
index 00000000000..49024f01991
--- /dev/null
+++ b/dev-ruby/ruby-prof/ruby-prof-1.4.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="README.rdoc CHANGES"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_GEMSPEC="ruby-prof.gemspec"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="A module for profiling Ruby code"
+HOMEPAGE="https://github.com/ruby-prof/ruby-prof"
+SRC_URI="https://github.com/ruby-prof/${PN}/archive/${PV}.tar.gz -> ${P}.tgz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit:2 dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ # Avoid bundler
+ sed -i -e '/bundler/I s:^:#:' -e '/:build/ s:^:#:' Rakefile || die
+
+ sed -i -e '2igem "test-unit"' test/test_helper.rb || die
+
+ # We install the shared object in lib, not ext.
+ sed -i -e 's#../ext/ruby_prof#../lib/ruby_prof#' lib/ruby-prof.rb || die
+
+ # Avoid unneeded dependency on rake-compiler
+ sed -i -e '/extensiontask/ s:^:#:' \
+ -e '/ExtensionTask/,/end/ s:^:#:' Rakefile || die
+
+ # Create directory required for the test suite to pass
+ mkdir tmp || die
+}
+
+each_ruby_configure() {
+ ${RUBY} -Cext/ruby_prof extconf.rb || die "extconf.rb failed"
+}
+
+each_ruby_compile() {
+ emake V=1 -Cext/ruby_prof || die "build failed"
+
+ cp ext/ruby_prof/*$(get_modname) lib/ || die "copy of extension failed"
+}
next reply other threads:[~2020-09-08 12:03 UTC|newest]
Thread overview: 30+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-09-08 12:03 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-30 6:17 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ruby-prof/ Hans de Graaff
2024-07-17 5:37 Hans de Graaff
2024-03-04 6:48 Hans de Graaff
2023-12-27 12:26 Hans de Graaff
2023-08-15 5:45 Hans de Graaff
2023-07-10 18:10 Hans de Graaff
2023-06-12 2:27 Sam James
2023-03-26 6:35 Hans de Graaff
2023-01-23 7:17 Hans de Graaff
2022-12-30 8:00 Hans de Graaff
2022-12-25 7:29 Hans de Graaff
2022-12-24 15:00 Hans de Graaff
2021-11-01 6:08 Hans de Graaff
2021-06-04 9:24 Hans de Graaff
2021-06-04 9:24 Hans de Graaff
2021-05-28 15:57 David Seifert
2020-11-09 6:33 Hans de Graaff
2019-07-30 18:27 Hans de Graaff
2019-05-28 18:16 Hans de Graaff
2019-01-22 18:18 Hans de Graaff
2018-07-13 19:01 Hans de Graaff
2018-02-11 19:14 Hans de Graaff
2017-12-20 6:41 Hans de Graaff
2017-07-30 6:10 Hans de Graaff
2017-07-30 6:10 Hans de Graaff
2016-08-28 5:52 Hans de Graaff
2016-05-24 4:50 Hans de Graaff
2016-02-18 21:32 Manuel Rüger
2015-11-18 6:09 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1599566577.5778165db418d4f057579e5a83b0143f74815636.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox